package cn.pluss.platform.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum MccAndStore {

    SUPERMARKET(1,"5411"),

    BARBER(2,"7230"),

    COSMETOLOGY(3,"7298"),

    GYM(4,"7997"),

    FOOT(5,"7297"),

    FAVITY(6,"8021"),

    PET(7,"5995"),

    WEDDING(8,"7277"),

    DRESS(9,"5699"),

    FLOWER(10,"5992"),

    WATER(11,"7299"),

    VISIT(12, "5949"),

    JEWELRY(13,"5094"),

    DIGITAL(14,"5732"),

    BOOKS(15,"5942"),

    BUYING(16,"5310"),

    MOTHER(17,"5641"),

    HIGH(18,"5691"),

    HOTEL(19,"7011")

    ;

    private final Integer value;

    private final String desc;

    public static String findValueByStoreId(Integer storeId) {
        for (MccAndStore store : MccAndStore.values()) {
            if (store.getValue().equals(storeId)) {
                return store.getDesc();
            }
        }
        return null;
    }
}
